oyFilterNodes_s Struct Reference
Description: C source code API documentation for the Oyranos project.
Keywords: Oyranos,Color Management,Color Management,ICC,CMS,C,doxygen,API,documentation

| Oyranos Color Management System API - Version 0.9.6

Public Member Functions | Data Fields
oyFilterNodes_s Struct Reference
Conversion

A FilterNode list. More...

`#include <oyFilterNodes_s.h>`

Inheritance diagram for oyFilterNodes_s:
Collaboration diagram for oyFilterNodes_s:

## Public Member Functions
OYAPI oyFilterNodes_s *OYEXPORT | oyFilterNodes_New (oyObject_s object)
| allocate a new FilterNodes object More...
| oyFilterNodes_Copy
| Copy or Reference a FilterNodes object. More...
OYAPI int OYEXPORT | oyFilterNodes_Release (oyFilterNodes_s **filternodes)
| release and possibly deallocate a oyFilterNodes_s object More...
OYAPI int OYEXPORT | oyFilterNodes_MoveIn (oyFilterNodes_s *list, oyFilterNode_s **obj, int pos)
| add an element to a FilterNodes list More...
OYAPI int OYEXPORT | oyFilterNodes_ReleaseAt (oyFilterNodes_s *list, int pos)
| release a element from a FilterNodes list More...
OYAPI oyFilterNode_s *OYEXPORT | oyFilterNodes_Get (oyFilterNodes_s *list, int pos)
| get a element of a FilterNodes list More...
OYAPI int OYEXPORT | oyFilterNodes_Count (oyFilterNodes_s *list)
| count the elements in a FilterNodes list More...
OYAPI int OYEXPORT | oyFilterNodes_Clear (oyFilterNodes_s *list)
| clear the elements in a FilterNodes list More...
OYAPI int OYEXPORT | oyFilterNodes_Sort (oyFilterNodes_s *list, int32_t *rank_list)
| sort a list according to a rank_list More...
Public Member Functions inherited from oyStruct_s
const char * | oyStruct_GetTextFromModule (oyStruct_s *obj, oyNAME_e name_type, uint32_t flags)
| get object infos from a module More...
const char * | oyStruct_GetText (oyStruct_s *obj, oyNAME_e name_type, uint32_t flags)
| Get a text dump. More...
| oyStruct_RegisterStaticMessageFunc
| register a function for verbosity More...
| oyStruct_GetInfo
| get a additional string from a object More...
const char * | oyStructTypeToText (oyOBJECT_e type)
| Objects type to small string. More...

## Data Fields
const oyOBJECT_e | type_
| Type of object. More...
oyStruct_Copy_f | copy
| Copy function. More...
oyStruct_Release_f | release
| Release function. More...
oyObject_s | oy_
| Oyranos internal object. More...
Data Fields inherited from oyStruct_s
const oyOBJECT_e | type_
| Type of object. More...
oyStruct_Copy_f | copy
| Copy function. More...
oyStruct_Release_f | release
| Release function. More...
oyObject_s | oy_
| Oyranos internal object. More...

## Detailed Description

A FilterNode list.

## Member Function Documentation

## ◆ oyFilterNodes_Clear()

OYAPI int OYEXPORT oyFilterNodes_Clear | ( | oyFilterNodes_s * | list | ) |

clear the elements in a FilterNodes list

Function oyFilterNodes_Clear

Parameters

  [in,out] | list | the list

Returns
  0 - success; otherwise - error

Version
  Oyranos: 0.3.0

Since
  2011/02/01 (Oyranos: 0.3.0)

Date
  2011/02/01

References oyOBJECT_FILTER_NODES_S, and oyStructList_s::oyStructList_Clear().

## ◆ oyFilterNodes_Copy()

oyFilterNodes_Copy

Copy or Reference a FilterNodes object.

The function is for copying and for referencing. The reference is the most often used way, which saves resourcs and time.

Parameters

  [in] | filternodes | FilterNodes struct object
  | object | NULL - means reference, the optional object triggers a real copy

## ◆ oyFilterNodes_Count()

OYAPI int OYEXPORT oyFilterNodes_Count | ( | oyFilterNodes_s * | list | ) |

count the elements in a FilterNodes list

Function oyFilterNodes_Count

Parameters

  [in,out] | list | the list

Returns
  element count

Version
  Oyranos: 0.1.10

Since
  2010/07/05 (Oyranos: 0.1.10)

Date
  2010/07/05

References oyOBJECT_FILTER_NODES_S, and oyStructList_s::oyStructList_Count().

Referenced by oyFilterGraph_s::oyFilterGraph_CountNodes(), oyFilterGraph_s::oyFilterGraph_GetNode(), oyFilterGraph_s::oyFilterGraph_PrepareContexts(), and oyFilterGraph_s::oyFilterGraph_ToText().

## ◆ oyFilterNodes_Get()

OYAPI oyFilterNode_s *OYEXPORT oyFilterNodes_Get | ( | oyFilterNodes_s * | list,
|  | int | pos
| ) |  |

get a element of a FilterNodes list

Function oyFilterNodes_Get

Parameters

  [in,out] | list | the list
  | pos | position

Version
  Oyranos: 0.1.10

Since
  2010/07/05 (Oyranos: 0.1.10)

Date
  2010/07/05

References oyOBJECT_FILTER_NODE_S, oyOBJECT_FILTER_NODES_S, and oyStructList_s::oyStructList_GetRefType().

Referenced by oyFilterGraph_s::oyFilterGraph_CountNodes(), oyFilterGraph_s::oyFilterGraph_GetNode(), oyFilterGraph_s::oyFilterGraph_PrepareContexts(), and oyFilterGraph_s::oyFilterGraph_ToText().

## ◆ oyFilterNodes_MoveIn()

OYAPI int OYEXPORT oyFilterNodes_MoveIn | ( | oyFilterNodes_s * | list,
|  | oyFilterNode_s ** | obj,
|  | int | pos
| ) |  |

add an element to a FilterNodes list

Function oyFilterNodes_MoveIn

Parameters

  [in] | list | list
  [in,out] | obj | list element
  | pos | position

Version
  Oyranos: 0.1.10

Since
  2010/07/05 (Oyranos: 0.1.10)

Date
  2010/07/05

References oyOBJECT_FILTER_NODE_S, oyOBJECT_FILTER_NODES_S, oyStructList_s::oyStructList_Create(), oyStructList_s::oyStructList_MoveIn(), and oyFilterNode_s::type_.

## ◆ oyFilterNodes_New()

OYAPI oyFilterNodes_s *OYEXPORT oyFilterNodes_New | ( | oyObject_s | object | ) |

allocate a new FilterNodes object

Function oyFilterNodes_New

References oyOBJECT_OBJECT_S.

Referenced by oyFilterGraph_s::oyFilterGraph_SetFromNode().

## ◆ oyFilterNodes_Release()

OYAPI int OYEXPORT oyFilterNodes_Release | ( | oyFilterNodes_s ** | filternodes | ) |

release and possibly deallocate a oyFilterNodes_s object

Function oyFilterNodes_Release

Parameters

  [in,out] | filternodes | FilterNodes struct object

References oyOBJECT_FILTER_NODES_S.

Referenced by oyFilterGraph_s::oyFilterGraph_SetFromNode().

## ◆ oyFilterNodes_ReleaseAt()

OYAPI int OYEXPORT oyFilterNodes_ReleaseAt | ( | oyFilterNodes_s * | list,
|  | int | pos
| ) |  |

release a element from a FilterNodes list

Function oyFilterNodes_ReleaseAt

Parameters

  [in,out] | list | the list
  | pos | position

Version
  Oyranos: 0.1.10

Since
  2010/07/05 (Oyranos: 0.1.10)

Date
  2010/07/05

References oyOBJECT_FILTER_NODES_S, oyStructList_s::oyStructList_GetParentObjType(), and oyStructList_s::oyStructList_ReleaseAt().

## ◆ oyFilterNodes_Sort()

OYAPI int OYEXPORT oyFilterNodes_Sort | ( | oyFilterNodes_s * | list,
|  | int32_t * | rank_list
| ) |  |

sort a list according to a rank_list

Function oyFilterNodes_Sort

Version
  Oyranos: 0.3.0

Since
  2011/02/01 (Oyranos: 0.3.0)

Date
  2011/02/01

## Field Documentation

## ◆ copy

oyStruct_Copy_f oyFilterNodes_s::copy

Copy function.

## ◆ oy_

oyObject_s oyFilterNodes_s::oy_

Oyranos internal object.

Features name and hash. Do not change during object life time.

## ◆ release

oyStruct_Release_f oyFilterNodes_s::release

Release function.

## ◆ type_

const oyOBJECT_e oyFilterNodes_s::type_

Type of object.

The struct type tells Oyranos how to interprete hidden fields.